Transact
Transact API

Remuneration

Server

Endpoints that provide information about adviser payments.


Get remuneration

GET
https://api.transact-online.co.uk
/remunerations

Retrieves remuneration data associated with the Resource Owner.

Remuneration data is comprised of bank payments, underlying adviser payment transactions and wrapper details.

When the optional start_date and end_date parameters are omitted, bank payments for the most recent payment date are returned.

Notes

A bank payment Transact makes to firm or network represents a collection of adviser payment transactions.

There is a standard bank payment made for all firms that is paid on the 27th of each month, with further optional payments on the 7th and 17th. Bank holidays and weekends may cause variations to these dates.

There are separate bank payments made for Offshore Bond related remuneration.

A bank payment can be uniquely identified based on its payee_id, source and date. It contains a breakdown of adviser payment transactions. The reported transaction types are as follows:

TypeDescription
ONGOINGAn annual percentage based, or recurring amount based adviser payment.
INITIALA percentage based adviser payment related to a specific deposit or transfer.
AD_HOCA one-off, amount based adviser payment.
ADVISER_CREDITAn ad hoc refund or compensation payment paid by the firm to an investor.
ADJUSTMENTAn adjustment made by Transact to an adviser's payment balance. The investor_wrapper value is null.
INTERESTAccrued interest related to cash holdings collected and reserved for payment to the adviser firm or network. The investor_wrapper value is null.

Data is prepared for consumption each weekday and remains static throughout the day. It is recommended that you request data after 6 am UK local time.

Authorisation Requirements

This endpoint requires a valid Transact access token with:

  • FIRM or NETWORK role
  • entity.read and transaction.read scopes

Get remuneration › query Parameters

start_date
​string · date

The first bank payment date. It must be within three months of today.

end_date
​string · date

The last bank payment date. It must be within 31 days of the start date.

Get remuneration › Headers

Transact-Api-Version
​string · enum · required

The targeted API version. This must be set to the current version of the API.

Enum values:
2026-05-12
Authorization
​string · required

Transact access token, provided using the Bearer HTTP authentication scheme.

Get remuneration › Responses

Retrieved successfully.

The list of bank payments.

payee_id
​EntityId · pattern: ^[0-9]{9}$ · required

The payee's Transact number.

payee_name
​string · required

The name of the payee.

payee_fca_number
​string · required

The FCA number of the payee.

source
​string · enum · required

Whether the bank payment relates to onshore or offshore remuneration.

Enum values:
ONSHORE
OFFSHORE
date
​string · date · required

Date of the bank payment.

amount
​number · decimal · required

Amount of the bank payment.

​RemunerationTransaction[] · unique · required